## ros-indigo-carl-safety 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_safety)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  actionlib
  geometry_msgs
  message_generation
  move_base_msgs
  nav_msgs
  sensor_msgs
  std_msgs
  std_srvs
  tf
  wpi_jaco_msgs
)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(FILES
  Error.msg
)

generate_messages(DEPENDENCIES
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(nav_safety src/nav_safety.cpp)
add_executable(teleop_safety src/teleop_safety.cpp)
add_executable(arm_safety src/arm_safety.cpp)
add_executable(tipping_safety src/tipping_safety.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(nav_safety ${catkin_LIBRARIES})
target_link_libraries(teleop_safety ${catkin_LIBRARIES})
target_link_libraries(arm_safety ${catkin_LIBRARIES})
target_link_libraries(tipping_safety ${catkin_LIBRARIES})

add_dependencies(nav_safety ${PROJECT_NAME}_generate_messages_cpp wpi_jaco_msgs_gencpp)
add_dependencies(tipping_safety ${PROJECT_NAME}_generate_messages_cpp wpi_jaco_msgs_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS nav_safety teleop_safety arm_safety tipping_safety
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-carl-safety (0.0.7-0trusty) trusty; urgency=high

  * Merge branch 'develop' of https://github.com/WPI-RAIL/carl_safety into develop
  * Added time check to arm not contained feedback to prevent multiple repeated feedback messages
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-safety (0.0.6-0trusty) trusty; urgency=high

  * Added error feedback messages
  * travis fix
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-safety (0.0.5-0trusty) trusty; urgency=high

  * carl safety now pipes output to dev null
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-carl-safety (0.0.4-0trusty) trusty; urgency=high

  * Adjusted finger current thresholds
  * Fixed output message for finger joints on arm safety
  * Adjustments for finger safety threshold
  * Merge branch 'develop' of https://github.com/WPI-RAIL/carl_safety into develop
  * Arm safety threshold tuning
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-safety (0.0.3-0trusty) trusty; urgency=high

  * message generation dependency
  * Split launch file into basic safety nodes that should always be on and nodes that only affect safety when using an external interface
  * launch file for tipping safety
  * Launch file updated with tipping safety
  * Tuned nav safety thresholds and added tipping safety to stop the robot when tipping is detected
  * Changed manual and auto nav safety to allow movement when the arm is within CARL's navigation footprint
  * Removed some debugging statements
  * Manual base movement override if arm is not retracted
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-safety (0.0.2-0trusty) trusty; urgency=high

  * Changed int param to bool
  * Parameter, topic, and launch file cleanup for consistency
  * Merge pull request #2 <https://github.com/WPI-RAIL/carl_safety/issues/2> from bhetherman/develop
    changes to make teleop safety and arm noise able to toggle on and off with launch paramater
  * changes to make teleop safety and arm noise able to toggle on and off with launch paramater
  * Update .travis.yml
  * Update package.xml
  * merged
  * Added dependency on wpi_jaco_msgs for safe nav
  * Implemented /move_base_safe to retract the arm before navigation
  * Contributors: Brian Hetherman, David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Thu, 04 Dec 2014 05:00:00 -0000

ros-indigo-carl-safety (0.0.1-0trusty) trusty; urgency=high

  * cleanup for release
  * adjusted safety override near computer desks
  * Added discouragement for CARL attempting to crash into our computers, remote run stop should now work for autonomous nav as well
  * slowed down spin rate
  * created launch file, added dependency on robot_pose_publisher for launch
  * implemented boundary for manual nav
  * more debugging
  * debugging
  * initial commit
  * Contributors: Russell Toris, dekent

 -- David Kent <davidkent@wpi.edu>  Fri, 05 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-carl-safety
Section: misc
Priority: extra
Maintainer: David Kent <davidkent@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-wpi-jaco-msgs
Homepage: http://ros.org/wiki/carl_safety
Standards-Version: 3.9.2

Package: ros-indigo-carl-safety
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-wpi-jaco-msgs
Description: Remote User Safety Nodes for CARL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-safety//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
